<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelFutureRatesResult StructType
 * @subpackage Structs
 */
class JP_HotelFutureRatesResult extends AbstractStructBase
{
    /**
     * The ResultInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FutureRatesResultInfo
     */
    public $ResultInfo;
    /**
     * The HotelResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelResult
     */
    public $HotelResult;
    /**
     * Constructor method for JP_HotelFutureRatesResult
     * @uses JP_HotelFutureRatesResult::setResultInfo()
     * @uses JP_HotelFutureRatesResult::setHotelResult()
     * @param \StructType\JP_FutureRatesResultInfo $resultInfo
     * @param \StructType\JP_HotelResult $hotelResult
     */
    public function __construct(\StructType\JP_FutureRatesResultInfo $resultInfo = null, \StructType\JP_HotelResult $hotelResult = null)
    {
        $this
            ->setResultInfo($resultInfo)
            ->setHotelResult($hotelResult);
    }
    /**
     * Get ResultInfo value
     * @return \StructType\JP_FutureRatesResultInfo|null
     */
    public function getResultInfo()
    {
        return $this->ResultInfo;
    }
    /**
     * Set ResultInfo value
     * @param \StructType\JP_FutureRatesResultInfo $resultInfo
     * @return \StructType\JP_HotelFutureRatesResult
     */
    public function setResultInfo(\StructType\JP_FutureRatesResultInfo $resultInfo = null)
    {
        $this->ResultInfo = $resultInfo;
        return $this;
    }
    /**
     * Get HotelResult value
     * @return \StructType\JP_HotelResult|null
     */
    public function getHotelResult()
    {
        return $this->HotelResult;
    }
    /**
     * Set HotelResult value
     * @param \StructType\JP_HotelResult $hotelResult
     * @return \StructType\JP_HotelFutureRatesResult
     */
    public function setHotelResult(\StructType\JP_HotelResult $hotelResult = null)
    {
        $this->HotelResult = $hotelResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelFutureRatesResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
